
models/mapobjects/cmm_neon/cmm
{ 
	qer_editorimage models/mapobjects/cmm_neon/cmm4.tga
	qer_trans 0.75
	polygonOffset
	sort 6
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	{
		animMap 2 models/mapobjects/cmm_neon/cmm1.tga models/mapobjects/cmm_neon/cmm2.tga models/mapobjects/cmm_neon/cmm3.tga models/mapobjects/cmm_neon/cmm4.tga models/mapobjects/cmm_neon/cmm4.tga models/mapobjects/cmm_neon/cmm4.tga models/mapobjects/cmm_neon/cmm4.tga
		rgbgen identity
		alphaFunc GT0
		blendfunc blend
		depthwrite
	}
	{
		animMap 2 models/mapobjects/cmm_neon/cmm1.tga models/mapobjects/cmm_neon/cmm2.tga models/mapobjects/cmm_neon/cmm3.tga models/mapobjects/cmm_neon/cmm4.tga models/mapobjects/cmm_neon/cmm4.tga models/mapobjects/cmm_neon/cmm4.tga models/mapobjects/cmm_neon/cmm4.tga
		depthfunc equal
		blendfunc filter
	}
}


textures/cmm_hollywood_a/thesky
{
	qer_editorimage env/cmm_hollywood_a/sc_ft.tga
	q3map_lightsubdivide 1024
	q3map_backsplash 0 0
	q3map_skylight 250 5
	q3map_noFog
	

	//q3map_sun= (Red) (Green) (Blue) (sun intensity) (sun degrees) (sun altitude) 
	//q3map_sunEXT 1 1 1 85 185 50 2 16 
	//	q3map_sunEXT 1 1 1 100 205 50 2 16 
	q3map_sunEXT 1.0 0.9 0.75 400 205 50
	//q3map_sunExt 1 1 1 140 -35 25 3 16
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	skyparms env/cmm_hollywood_a/sc - -
	nopicmip
	nomipmaps
	{
		map textures/cmm_hollywood_a/clouds.tga
    	blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 3
		tcMod scroll 0.005 0.007	
	}

}

/////////////////////////////////////////////////////////////////////
// Include the contents of this file in your shader file
//
// Contains 2 shaders, one for glass, one for the light
/////////////////////////////////////////////////////////////////////
models/mapobjects/cmm_streetlight/light
{
	qer_editorimage models/mapobjects/cmm_streetlight/light.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 12000
	surfaceparm trans
	q3map_lightimage models/mapobjects/cmm_streetlight/light.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map models/mapobjects/cmm_streetlight/light.tga
	}
}
/////////////////////////////////////////////////////////////////////
models/mapobjects/cmm_streetlight/glass
{
	qer_editorimage models/mapobjects/cmm_streetlight/glass.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map models/mapobjects/cmm_streetlight/glass.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/cmm_hollywood_a/doorglass
{
	qer_editorimage textures/glassspeckled.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/cmm_hollywood_a/clouds.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/cmm_hollywood_a/chainfence
{
	qer_editorimage textures/cmm_hollywood_a/fence.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/cmm_hollywood_a/fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cmm_hollywood_a/skip
{
	qer_editorimage textures/skip.tga
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/cmm_hollywood_a/hint
{
	qer_editorimage textures/hint.tga
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}


models/players/funstuff/cmmhat
{
	qer_editorimage textures/cmm_hollywood_a/cmmhat.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
 	deformVertexes autosprite
	    cull none
	nopicmip
	{
		map textures/cmm_hollywood_a/cmmhat.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
